Package python-networkx

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-networkx in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-networkx-core-1.11-10.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python2-networkx-drawing-1.11-10.fc29
    • × python(abi) = 2.7
  • python2-networkx-geo-1.11-10.fc29
    • × python(abi) = 2.7
  • python3-networkx-core-1.11-10.fc29
    • /usr/bin/python3
    • python(abi) = 3.6
  • python3-networkx-drawing-1.11-10.fc29
    • python(abi) = 3.6
  • python3-networkx-geo-1.11-10.fc29
    • python(abi) = 3.6

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Groups

Dependencies

Run time

1 Python 3 only; 5 Dual support; 3 Idle; 1 Dropped
Package Upstream Fedora
  gdal   I bug (NEW)
  graphviz ? homepage repo I
  python-matplotlib (nonblocking)   I
  pyparsing  
  python-decorator  
  python-pydotplus  
  PyYAML  
  scipy  
  python3   🗹 bug (NEW)
  python2   X

Build time

1 Python 3 only; 12 Dual support; 3 Idle; 2 Dropped
Package Upstream Fedora
  gdal   I bug (NEW)
  graphviz ? homepage repo I
  python-matplotlib (nonblocking)   I
  pyparsing  
  python-decorator  
  python-nose  
  python-numpydoc  
  python-pandas  
  python-pydotplus  
  python-setuptools  
  python-sphinx  
  python-sphinx_rtd_theme  
  python-sphinxcontrib-bibtex  
  PyYAML  
  scipy  
  python3   🗹 bug (NEW)
  python2   X
  python2-ipython   X